API Controller: api/v1/root

Generated from OpenclawSellercentralApiRegistry. Run bin/rails sellercentral_api_docs:sync after API updates.

Endpoints

GET /api/v1

Returns the OpenClaw SellerCentral API v1 entrypoint and first-level endpoint discovery links.

Query Options

  • None.

Request Examples

curl -s \
  -H "Authorization: Bearer oc_sk_your_key_here" \
  https://app.shipmentbot.com/api/v1

Response Examples

Success (200)
{
  "api": {
    "version": "v1",
    "links": [
      {
        "rel": "self",
        "href": "https://app.shipmentbot.com/api/v1",
        "method": "GET"
      },
      {
        "rel": "sellers",
        "href": "https://app.shipmentbot.com/api/v1/sellers",
        "method": "GET"
      },
      {
        "rel": "traffic",
        "href": "https://app.shipmentbot.com/api/v1/traffic",
        "method": "GET"
      },
      {
        "rel": "sales_week_over_week",
        "href": "https://app.shipmentbot.com/api/v1/sales_week_over_week",
        "method": "GET"
      },
      {
        "rel": "sales_month_over_month",
        "href": "https://app.shipmentbot.com/api/v1/sales_month_over_month",
        "method": "GET"
      },
      {
        "rel": "sales_ytd",
        "href": "https://app.shipmentbot.com/api/v1/sales_ytd",
        "method": "GET"
      },
      {
        "rel": "sales_ltm",
        "href": "https://app.shipmentbot.com/api/v1/sales_ltm",
        "method": "GET"
      }
    ]
  }
}

Error Examples

Missing access token (401)
{
  "error": "Unauthorized",
  "message": "Missing access token"
}
Invalid or expired token (401)
{
  "error": "Unauthorized",
  "message": "Invalid or expired access token"
}

Back to top

Copyright © ShipmentBot. All rights reserved.